Subject: key bindings

From: Mike Miller <[email-masked]>
Date: Fri, 16 Apr 1999 22:59:11 -0500 (CDT)

I am mostly using emacs as my editor in Pine, but I sometimes use pico for
last-minute touch-ups and, of course, in writing the message header I must
use pico-type editing commands.

I like the way pine allows me to have ^K function as in emacs (by setting
compose-cut-from-cursor).  Pine/Pico is mostly using emacs bindings (^A,
^B, ^D, ^E, ^F, ^N, ^P, ^V, ^K [when set]) but several are annoyingly
different from emacs (^Y, ^U, ^^, ^@, ^W).  I suggest that both pine and
pico allow users to select a key-binding system where

^U is turned off,
^Y does what ^U used to do,
ESC-v (or M-v or Alt-v) does what ^Y used to do,
^^ and ^@ are switched (so ^^ moves forward one word and ^@ sets the mark), 
^S does what ^W used to do, and
^W does the same thing as ^K (e.g., for 'wiping' blocked text).

It seems like this would be relatively easy to implement and it wouldn't
be 'bloating' the software.  I'm surprised that an option like this isn't
already available.  I looked around (FAQ, etc.) and it doesn't look like
it is.

Is it a good idea?

Regards, and thanks for a great product!

Mike

-- 
Michael B. Miller, Ph.D.
University of Missouri--Columbia
http://taxa.psyc.missouri.edu/~mbmiller/

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------